package com.zehong.system.service.track;

import java.util.List;
import com.zehong.system.domain.track.TProductPlan;

/**
 * 生产计划Service接口
 * 
 * @author zehong
 * @date 2024-08-24
 */
public interface ITProductPlanService 
{
    /**
     * 查询生产计划
     * 
     * @param id 生产计划ID
     * @return 生产计划
     */
    public TProductPlan selectTProductPlanById(Long id);

    /**
     * 查询生产计划列表
     * 
     * @param tProductPlan 生产计划
     * @return 生产计划集合
     */
    public List<TProductPlan> selectTProductPlanList(TProductPlan tProductPlan);

    /**
     * 新增生产计划
     * 
     * @param tProductPlan 生产计划
     * @return 结果
     */
    public int insertTProductPlan(TProductPlan tProductPlan);

    /**
     * 修改生产计划
     * 
     * @param tProductPlan 生产计划
     * @return 结果
     */
    public int updateTProductPlan(TProductPlan tProductPlan);

    /**
     * 批量删除生产计划
     * 
     * @param ids 需要删除的生产计划ID
     * @return 结果
     */
    public int deleteTProductPlanByIds(Long[] ids);

    /**
     * 删除生产计划信息
     * 
     * @param id 生产计划ID
     * @return 结果
     */
    public int deleteTProductPlanById(Long id);
}
